using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;

public enum Direction
{
    Clockwise,
    CounterClockwise,
    None
}

public class Rotater : MonoBehaviour
{
    public float speed = 5f;

    public Direction direction;

    protected void Update()
    {
        int directionScale;
        if(direction == Direction.Clockwise)
        {
            directionScale = 1;
        }
        else if(direction == Direction.CounterClockwise)
        {
            directionScale = -1;
        }
        else
        {
            directionScale = 0;
        }
        transform.Rotate(Vector3.forward * speed * directionScale);
    }
}
